Content-Type: text/plain
Content-Transfer-Encoding: quoted-printable

On Thu, 2004-10-14 at 22:18, Will Tatam wrote:
> I'm running a REHL 3 server which had previously been running perfectly
> with security=3DADS but after running redhat's up2date to install 3.0.7-1=

> i started getting "Failed to verify incoming ticket!"
> After speaking to Jeremy Allison at Linux Expo he suggested that I
> needed the MIT 1.3.x version of kerberos installed, however rpm -qa |
> grep krb5 reports
> pam_krb5-1.73-1
> krb5-libs-1.2.7-28
> krb5-devel-1.2.7-28
> krb5-workstation-1.2.7-28

Installing krb5-1.3 is considered the solution, but it's apparently
quite hard - later versions don't compile, and you certainly can't
replace the RPMs.

I tried to debug this with another site, and came up with this patch. =20
Somebody needs to look over the changes back in 3.0.4 with the 'use
kerberos keytab' stuff.

My guess was:

But this apparently didn't work. =20

Andrew Bartlett

Andrew Bartlett abartlet@samba.org
Authentication Developer, Samba Team http://samba.org
Student Network Administrator, Hawker College abartlet@hawkerc.net

Content-Type: application/pgp-signature; name=signature.asc
Content-Description: This is a digitally signed message part

Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQBBbnYSw6AkmCjZ77cRAptwAJ0bNqUMstO0hntIxYh4+s PcChdyUgCdGZqp